--- old/usr/src/uts/common/sys/scsi/adapters/mpt_sas3/mptsas3_ioctl.h	2014-06-12 17:42:19.276266889 +0100
+++ new/usr/src/uts/common/sys/scsi/adapters/mpt_sas3/mptsas3_ioctl.h	2014-06-12 17:42:19.282358071 +0100
@@ -25,6 +25,7 @@
  */
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright (c) 2014, Tegile Systems Inc. All rights reserved.
  */
 
 /*
@@ -54,8 +55,8 @@
  * DAMAGE.
  */
 
-#ifndef _MPTSAS_IOCTL_H
-#define	_MPTSAS_IOCTL_H
+#ifndef _MPTSAS3_IOCTL_H
+#define	_MPTSAS3_IOCTL_H
 
 #ifdef  __cplusplus
 extern "C" {
@@ -102,14 +103,14 @@
  *  structure is setup so that we hopefully are properly aligned for both
  *  32-bit and 64-bit mode applications.
  *
- *  Adapter Type - Value = 4 = SCSI Protocol through SAS-2 adapter
+ *  Adapter Type - Value = 6 = SCSI Protocol through SAS-3 adapter
  *
  *  MPI Port Number - The PCI Function number for this device
  *
  *  PCI Device HW Id - The PCI device number for this device
  *
  */
-#define	MPTIOCTL_ADAPTER_TYPE_SAS2	4
+#define	MPTIOCTL_ADAPTER_TYPE_SAS3	6
 typedef struct mptsas_adapter_data
 {
 	uint32_t		StructureLength;
@@ -357,4 +358,4 @@
 }
 #endif
 
-#endif	/* _MPTSAS_IOCTL_H */
+#endif	/* _MPTSAS3_IOCTL_H */
